| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Num.PointLink< PointContainerType, PointType > Class Template Reference

Contains a pointer (link) to another point container. More...

Inheritance diagram for IG.Num.PointLink< PointContainerType, PointType >:
[legend]
Collaboration diagram for IG.Num.PointLink< PointContainerType, PointType >:
[legend]

## Public Member Functions
| PointLink (PointContainerType point)
Public Member Functions inherited from IG.Num.PointLink< PointLinkType, PointContainerType, PointType >
| PointLink (PointContainerType point)

## Additional Inherited Members
Protected Attributes inherited from IG.Num.PointLink< PointLinkType, PointContainerType, PointType >
double | _distanceFromPoint
Properties inherited from IG.Num.PointLink< PointLinkType, PointContainerType, PointType >
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
PointContainerType | Point`[get, set]`
| Gets or sets the point that is contained in the current container. More...
double | DistanceFromPoint`[get, set]`
| Distance to the point containing the current link in its neighbor list. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Contains a pointer (link) to another point container.

Template Parameters

  PointContainerType | Type of point link that is used by point container.
  PointType | Type of the point class object that is enclosed in the pointed-to container.

$A Sep08 May09 Dec11;

Type Constraints

  PointContainerType | : | PointContainer |
  PointContainerType | : | PointLink |
  PointContainerType | : | PointContainerType |
  PointContainerType | : | PointType |
  PointContainerType | : | PointContainerType |
  PointContainerType | : | PointType |

## Constructor & Destructor Documentation

IG.Num.PointLink< PointContainerType, PointType >.PointLink | ( | PointContainerType | point | ) |
| inline

The documentation for this class was generated from the following file:

- igbase/numeric/geometry/pointclouds/PointLink.cs